diff --git a/pgadmin/ctl/ctlSQLGrid.cpp b/pgadmin/ctl/ctlSQLGrid.cpp
index 1993ea6..dc7d501 100644
--- a/pgadmin/ctl/ctlSQLGrid.cpp
+++ b/pgadmin/ctl/ctlSQLGrid.cpp
@@ -47,9 +47,16 @@
 	fntLabel.SetWeight(wxBOLD);
 	SetLabelFont(fntLabel);
 	SetColLabelAlignment(wxALIGN_LEFT, wxALIGN_CENTER);
+#ifdef __WXMSW__
+	SetDefaultCellAlignment(wxALIGN_LEFT, wxALIGN_CENTER);	
+#endif
 	SetRowLabelSize(50);
 	SetDefaultRowSize(fntCells.GetPointSize() * 2);
 	SetColLabelSize(fntLabel.GetPointSize() * 4);
+#ifdef __WXMSW__
+	SetDefaultRowSize(GetDefaultRowSize() + 2);
+	SetColLabelSize(GetColLabelSize() + 4);
+#endif
 	SetDefaultCellOverflow(false);
 
 	Connect(wxID_ANY, wxEVT_GRID_LABEL_LEFT_DCLICK, wxGridEventHandler(ctlSQLGrid::OnLabelDoubleClick));
@@ -86,7 +93,11 @@
 		SetLabelFont(fontlabel);
 		SetDefaultCellFont(fontcells);
 		SetColLabelSize(fontlabel.GetPointSize() * 4);
-		SetDefaultRowSize(fontcells.GetPointSize() * 2);
+		SetDefaultRowSize(fontcells.GetPointSize() * 2, true);
+#ifdef __WXMSW__
+		SetColLabelSize(GetColLabelSize() + 4);
+		SetDefaultRowSize(GetDefaultRowSize() + 2, true);
+#endif
 		for (int index = 0; index < GetNumberCols(); index++)
 			SetColSize(index, -1);
 		ForceRefresh();
diff --git a/pgadmin/frm/frmEditGrid.cpp b/pgadmin/frm/frmEditGrid.cpp
index 5b0bea2..e0458fc 100644
--- a/pgadmin/frm/frmEditGrid.cpp
+++ b/pgadmin/frm/frmEditGrid.cpp
@@ -114,9 +114,6 @@
 
 	sqlGrid = new ctlSQLEditGrid(this, CTL_EDITGRID, wxDefaultPosition, wxDefaultSize);
 	sqlGrid->SetTable(0);
-#ifdef __WXMSW__
-	sqlGrid->SetDefaultRowSize(sqlGrid->GetDefaultRowSize() + 2, true);
-#endif
 
 	// Set up toolbar
 	toolBar = new ctlMenuToolbar(this, -1, wxDefaultPosition, wxDefaultSize, wxTB_FLAT | wxTB_NODIVIDER);